%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name katello

%global foreman_dir /usr/share/foreman
%global foreman_bundlerd_dir %{foreman_dir}/bundler.d

%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
%global gem_dir /usr/lib/ruby/gems/1.8
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%endif

%if "%{?scl}" == "ruby193"
    %global scl_ruby /usr/bin/ruby193-ruby
    %global scl_rake /usr/bin/ruby193-rake
    ### TODO temp disabled for SCL
    %global nodoc 1
%else
    %global scl_ruby /usr/bin/ruby
    %global scl_rake /usr/bin/rake
%endif

Summary: Katello
Name: %{?scl_prefix}rubygem-%{gem_name}

Version: 1.5.0
Release: 98%{dist}
Group: Development/Ruby
License: Distributable
URL: http://www.katello.org
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem

%if "%{?scl}" == "ruby193"
Requires: %{?scl_prefix}ruby-wrapper
BuildRequires: %{?scl_prefix}ruby-wrapper
%endif
%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
BuildRequires:  %{?scl_prefix}rubygems-devel
%endif

%if 0%{?fedora} > 19
Requires: %{?scl_prefix}ruby(release) = 2.0.0
BuildRequires: %{?scl_prefix}ruby(release) = 2.0.0
%else
%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
%else
Requires: ruby(abi) = 1.8
BuildRequires: ruby(abi) = 1.8
%endif
%endif

# service-wait dependency
Requires: wget
Requires: curl

%if 0%{?rhel} == 6
Requires: redhat-logos >= 60.0.14
%endif

%if 0%{?fedora} > 18 || 0%{?rhel} > 6
Requires(post): candlepin-tomcat
%else
Requires(post): candlepin-tomcat6
%endif

Requires(post): chkconfig
Requires(postun): initscripts coreutils sed
Requires(pre): shadow-utils
Requires(preun): chkconfig
Requires(preun): initscripts

#Pulp Requirements
Requires: pulp-katello
Requires: pulp-nodes-parent
Requires: pulp-puppet-plugins
Requires: pulp-rpm-plugins
Requires: pulp-puppet-tools
Requires: pulp-selinux
Requires: pulp-server
Requires: mongodb
Requires: mongodb-server
Requires: cyrus-sasl-plain

Requires: candlepin-selinux
Requires: createrepo >= 0.9.9-18%{?dist}
Requires: elasticsearch
Requires: foreman >= 1.3.0
Requires: java-openjdk >= 1:1.7.0
# Still Requires katello-common which clashes with
# new build - will re-enable after fixing
#Requires: katello-selinux
Requires: libvirt-devel
Requires: lsof
Requires: postgresql
Requires: postgresql-server
Requires: v8
Requires: %{?scl_prefix}rubygems
Requires: %{?scl_prefix}rubygem-angular-rails-templates >= 0.0.4
Requires: %{?scl_prefix}rubygem-rails
Requires: %{?scl_prefix}rubygem-json
Requires: %{?scl_prefix}rubygem-oauth
Requires: %{?scl_prefix}rubygem-rest-client
Requires: %{?scl_prefix}rubygem-net-ldap
Requires: %{?scl_prefix}rubygem-foreigner => 1.4.2
Requires: %{?scl_prefix}rubygem-foreigner < 1.5
Requires: %{?scl_prefix}rubygem-daemons >= 1.1.4
Requires: %{?scl_prefix}rubygem-uuidtools
Requires: %{?scl_prefix}rubygem-rabl
Requires: %{?scl_prefix}rubygem-tire => 0.6.2
Requires: %{?scl_prefix}rubygem-tire < 0.7
Requires: %{?scl_prefix}rubygem-logging >= 1.8.0
Requires: %{?scl_prefix}rubygem-hooks
Requires: %{?scl_prefix}rubygem-foreman-tasks >= 0.6.0
Requires: %{?scl_prefix}rubygem-justified
Requires: %{?scl_prefix}rubygem-gettext_i18n_rails
Requires: %{?scl_prefix}rubygem-i18n_data >= 0.2.6
Requires: %{?scl_prefix}rubygem-apipie-rails >= 0.1.1
Requires: %{?scl_prefix}rubygem-maruku
Requires: %{?scl_prefix}rubygem-runcible >= 1.0.8
Requires: %{?scl_prefix}rubygem-ruby-openid
Requires: %{?scl_prefix}rubygem-anemone
Requires: %{?scl_prefix}rubygem-simple-navigation >= 3.3.4
Requires: %{?scl_prefix}rubygem-sass-rails
Requires: %{?scl_prefix}rubygem-less-rails
Requires: %{?scl_prefix}rubygem-compass-rails
Requires: %{?scl_prefix}rubygem-compass-960-plugin
Requires: %{?scl_prefix}rubygem-haml-rails
Requires: %{?scl_prefix}rubygem-ui_alchemy-rails = 1.0.12
Requires: %{?scl_prefix}rubygem-deface < 1.0.0
Requires: %{?scl_prefix}rubygem-strong_parameters
BuildRequires: foreman >= 1.3.0
BuildRequires: %{?scl_prefix}rubygem-angular-rails-templates >= 0.0.4
BuildRequires: %{?scl_prefix}rubygem-net-ldap
BuildRequires: %{?scl_prefix}rubygem-sqlite3
BuildRequires: %{?scl_prefix}rubygem-tire => 0.6.2
BuildRequires: %{?scl_prefix}rubygem-tire < 0.7
BuildRequires: %{?scl_prefix}rubygem-logging >= 1.8.0
BuildRequires: %{?scl_prefix}rubygem-hooks
BuildRequires: %{?scl_prefix}rubygem-foreman-tasks >= 0.6.0
BuildRequires: %{?scl_prefix}rubygem-justified
BuildRequires: %{?scl_prefix}rubygem-gettext_i18n_rails
BuildRequires: %{?scl_prefix}rubygem-i18n_data >= 0.2.6
BuildRequires: %{?scl_prefix}rubygem-apipie-rails >= 0.1.1
BuildRequires: %{?scl_prefix}rubygem-maruku
BuildRequires: %{?scl_prefix}rubygem-runcible >= 1.0.8
BuildRequires: %{?scl_prefix}rubygem-ruby-openid
BuildRequires: %{?scl_prefix}rubygem-anemone
BuildRequires: %{?scl_prefix}rubygem-simple-navigation >= 3.3.4
BuildRequires: %{?scl_prefix}rubygem-sass-rails
BuildRequires: %{?scl_prefix}rubygem-less-rails
BuildRequires: %{?scl_prefix}rubygem-compass-rails
BuildRequires: %{?scl_prefix}rubygem-compass-960-plugin
BuildRequires: %{?scl_prefix}rubygem-haml-rails
BuildRequires: %{?scl_prefix}rubygem-ui_alchemy-rails = 1.0.12
BuildRequires: %{?scl_prefix}rubygem-deface < 1.0.0
BuildRequires: %{?scl_prefix}rubygem(uglifier) >= 1.0.3
BuildRequires: %{?scl_prefix}rubygem-strong_parameters
BuildRequires: %{?scl_prefix}rubygems
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(katello) = %{version}

%description
Katello

%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p ./usr/share
cp -r %{foreman_dir} ./usr/share || echo 0

pushd ./usr/share/foreman
export GEM_PATH=%{gem_dir}:%{buildroot}%{gem_dir}

cat <<GEMFILE > ./bundler.d/%{gem_name}.rb
group :katello do
  gem '%{gem_name}'
  gem 'sass-rails'
end
GEMFILE

unlink tmp
cp %{buildroot}%{gem_instdir}/config/katello_defaults.yml %{buildroot}%{gem_instdir}/config/katello.yml

export BUNDLER_EXT_NOSTRICT=1
export BUNDLER_EXT_GROUPS="default assets katello"
%{scl_rake} assets:precompile:katello RAILS_ENV=production --trace

popd
rm -rf ./usr
rm %{buildroot}%{gem_instdir}/config/katello.yml

mkdir -p %{buildroot}%{foreman_bundlerd_dir}
cat <<GEMFILE > %{buildroot}%{foreman_bundlerd_dir}/%{gem_name}.rb
group :katello do
  gem '%{gem_name}'
  gem 'sass-rails'
end
GEMFILE

mkdir -p %{buildroot}%{foreman_dir}/public/assets
ln -s %{gem_instdir}/public/assets/katello %{buildroot}%{foreman_dir}/public/assets/katello
ln -s %{gem_instdir}/public/assets/bastion %{buildroot}%{foreman_dir}/public/assets/bastion

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{gem_instdir}/
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_dir}/%{gem_name}.rb
%{foreman_dir}/public/assets/katello
%{foreman_dir}/public/assets/bastion

%files doc
%{gem_dir}/doc/%{gem_name}-%{version}

%changelog
* Fri Feb 27 2015 Jason Montleon <jmontleo@redhat.com> 1.5.0-98
- Revert "Fixes BZ1168457: ensure selection of paths in IE."
  (jmontleo@redhat.com)

* Thu Feb 26 2015 Jason Montleon <jmontleo@redhat.com> 1.5.0-97
- Fixes BZ1195887: Ensure user is found when a sync plan is syncing a
  repository. (ericdhelms@gmail.com)
- Fixes BZ1168457: ensure selection of paths in IE. (walden@redhat.com)

* Mon Feb 16 2015 Jason Montleon <jmontleo@redhat.com> 1.5.0-96
- fixes #9317 - only call foreman content update when needed
  (jsherril@redhat.com)

* Wed Feb 11 2015 Jason Montleon <jmontleo@redhat.com> 1.5.0-95
- fixes #9333 - fix bad action name on lifecycle env delete
  (jsherril@redhat.com)
- fixes #8598 - fixing repository delete current user was not set during
  finalize phase (jsherril@redhat.com)

* Mon Feb 09 2015 Jason Montleon <jmontleo@redhat.com> 1.5.0-94
- Fixes #9011 - Skip deleting products during manifest actions
  (daviddavis@redhat.com)
- Fixes #6942,bz1122924 - subscription reindex (inecas@redhat.com)
- fixes #8491 - removing puppet modules list from content view version api
  (jsherril@redhat.com)
- Fixes #6187,BZ1125358 - Deleting a resource and creation a new one wont lead
  to conflicts (aruzicka@redhat.com)
- fixes #8770 - delay node metadata sync to 2nd action (jsherril@redhat.com)
- fixes #7621 - treat a nil minor OS version as empty string
  (jsherril@redhat.com)
- fixes #7278 - Fixes activation key registration hint, BZ 1128245
  (cfouant@redhat.com)

* Thu Nov 06 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-93
- fixes #8131 - hypervisors forced into content host's org, env, and cv
  (thomasmckay@redhat.com)
- Fixes #6773 - Host inherits Content Source from Hostgroup
  (elobatocs@gmail.com)
- Revert "Fixes #7947 - Validating package checksums when syncing"
  (jmontleo@redhat.com)

* Wed Oct 29 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-92
- Merge branch '7834-hypervisors' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- fixes #7979 - adding better error reporting for repo enable
  (jsherril@redhat.com)
- Merge branch '1140507' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- fixes #7542 - add ability to delete a Hypervisor (stbenjam@redhat.com)
- Fixes #7446/bz1140653 - Host delete dynflowed (paji@redhat.com)
- Merge branch 'bz1150674' into 'SATELLITE-6.0.4' (jmontleo@redhat.com)
- Fixes #7915 - copy uploaded files to shared tmp directory in plan phase
  (inecas@redhat.com)
- Fixes #7947 - Validating package checksums when syncing
  (daviddavis@redhat.com)
- fixes bz1150674 - bulk actions errata page has blank applicable consumers
  (jsherril@redhat.com)

* Thu Sep 18 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-91
- Revert "Fixes #6773 - Host inherits Content Source from Hostgroup"
  (jmontleo@redhat.com)

* Thu Sep 18 2014 Mike McCune <mmccune@redhat.com> 1.5.0-90
- fixes #7521 - fix import of virt-who subscription information
  (stbenjam@redhat.com)

* Mon Sep 15 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-89
- Fixes #6773 - Host inherits Content Source from Hostgroup
  (elobatocs@gmail.com)

* Thu Sep 04 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-88
- Merge branch 'update-translations' into 'SATELLITE-6.0.4'
  (jmontleo@redhat.com)
- Update bastion translations and match directory to language in po file.
  (walden@redhat.com)
- Update katello translations and match directory to language in po file.
  (walden@redhat.com)

* Wed Sep 03 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-87
- Pull in new Bastion translations and update to use four digit locale.
  (walden@redhat.com)
- Pull in new Katello translations and update to use four digit locale.
  (walden@redhat.com)
- Add .zanata-cache to .gitignore (walden@redhat.com)
- Automatic commit of package [katello] minor release [1.5.0-30].
  (jmontleo@redhat.com)

* Wed Aug 27 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-86
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Fixes #6993: Ensure repo discovery proxy setup is loaded in production.
  (ericdhelms@gmail.com)
- Fixes #7028 - fixing api docs for orgs (tstrachota@redhat.com)
- fixes #7271 - validate repositories associated to content views
  (jsherril@redhat.com)
- Merge branch 'BZ1079190' into 'SATELLITE-6.0.4' (jmontleo@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- 1133618 - Marked Capsule Settings area (paji@redhat.com)
- refs BZ1079190 - disables Katello community info in 'About' page
  (stbenjam@redhat.com)
- fixes #7162 / BZ 1102763 - capsule - treat task as failed if sync times out
  with capsule (bbuckingham@redhat.com)
- fixes #7266 - specify time when creating new ulimited subscriptions
  (jsherril@redhat.com)
- Fixes #7119/BZ1130645: double quote host collection name in search.
  (walden@redhat.com)
- Fixes #7091/BZ1129375: fix documentation for create/update system.
  (walden@redhat.com)
- refs #6811 - install katello agent during install w/o service start
  (stbenjam@redhat.com)
- Fixes #7241/bz1132790 - Enable rh common for ks template (paji@redhat.com)
- fixes #7175 - do not treat iso repos as capsule syncable
  (jsherril@redhat.com)
- fixes #7084 - add rubygem-hammer_cli_import dep (jmontleo@redhat.com)
- Refs #6867,BZ1038323 - Show katello-agent status for systems
  (daviddavis@redhat.com)
- fixes #5655 - sending correct json for ktenvironments paths
  (komidore64@gmail.com)
- Automatic commit of package [katello] minor release [1.5.0-29].
  (jmontleo@redhat.com)

* Wed Aug 20 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-85
- fixes #7158 - environments are now inside of the "results" hash, BZ 1131618
  (komidore64@gmail.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Refs #6297 - workaround for incomplete pulp task from sync plan
  (inecas@redhat.com)
- Refs #6182 - fix setting the GPG keys for product content on update
  (inecas@redhat.com)
- Fixes #6182 - use url instead of feed to detect the path change
  (inecas@redhat.com)
- Fixes #6182 - Dynflowized repository update (aruzicka@redhat.com)
- Fixes #6283 - Use the Dynflow API to find out if the foreman_tasks is running
  (inecas@redhat.com)
- Fixes #6297 - delayed jobs is dead, long live foreman-tasks
  (inecas@redhat.com)
- Fixes #6297 - remove unused and unreachable code that used delayed jobs
  (inecas@redhat.com)
- Fixes #6297 - remove mailer as the code was unreachable (inecas@redhat.com)
- Fixes #6297 - dynflowize after-sync callbacks (inecas@redhat.com)
- Fixes #6297 - Dynflowize content uploads (inecas@redhat.com)
- Fixes #6304 - remove apply default info (inecas@redhat.com)
- Fixes #6296 - dynflowize organization auto-attach (inecas@redhat.com)
- Fixes #6815,#6187/bz1125398,1125358 - Environment Destroy Dynflow
  (paji@redhat.com)
- Fixes #7000/BZ1080172: paginate content host packages. (walden@redhat.com)
- Fixes #7071/BZ1125391: add installer and pulp configs to katello-debug.
  (walden@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge branch 'BZ1126087' into 'SATELLITE-6.0.4' (jmontleo@redhat.com)
- Fixes #7116/bz1130577- Adding install media after repo sync (paji@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- fixes #5190 - adding annotations to deprecated routes, BZ 1102264
  (komidore64@gmail.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge branch 'bz-997694' into 'SATELLITE-6.0.4' (jmontleo@redhat.com)
- Fixes #7138,BZ1030537 - Prevent file repos being added to views
  (daviddavis@redhat.com)
- fixes #7069 / BZ 1123959 - host<->content host - improve behavior when puppet
  env, lifecycle env or content view change (bbuckingham@redhat.com)
- fixes #7110 / BZ 1129424 - fix syncing of iso repos (bbuckingham@redhat.com)
- fixes #6853 - make host group provisioning work with katello
  (stbenjam@redhat.com)
- BZ-997694: Deny access for proxy requests that fail check.
  (ericdhelms@gmail.com)
- Merge branch 'SATELLITE-6.0.4' into 'SATELLITE-6.0.4' (jmontleo@redhat.com)
- Fixes #7045 - fix location undefined for user (dtsang@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-84
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge branch 'BZ1129216' into 'SATELLITE-6.0.4' (stbenjam@redhat.com)
- Fixes BZ1129216 - Evaluate SSSD version comparisons in arithmetic context
  (stbenjam@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-83
- Fixes #6971,bz1085417 - api handle nonexistent id (dtsang@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-82
- fixes #7074 - allow registrations even when there is no host
  (jsherril@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-81
- Fixes #7068/bz1129775 - Fix repo sync checksum error (paji@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-80
- fixes #6330 - using pulp & pulp_node features of smart proxy
  (jsherril@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-79
- Fixes #6993: Allow repo-discovery through a proxy. (ericdhelms@gmail.com)
- fixes #7005 / BZ 1122736 - content host - change registration behavior with
  foreman host (bbuckingham@redhat.com)
- fixes #7019 / BZ 1128473 - content search - change to eliminate errors with
  ambiguous 'id' (bbuckingham@redhat.com)
- Fixes #7047/BZ1128467: get full result of product's repositories.
  (walden@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- fixes #6981 - handle non-yum sync statuses (jsherril@redhat.com)
- fixes #6992 - ensure rhel 5 repos can be used by el5 clients
  (jsherril@redhat.com)
- fixes #6919 / BZ 1113588 - host - show validation error if no puppet
  environment (bbuckingham@redhat.com)
- Fixes #6870/BZ1075523: use ANONYMOUS_ADMIN for hidden user.
  (walden@redhat.com)
- Fixes #7026/BZ1128471: fix error on updating errata date range filter.
  (walden@redhat.com)
- Fixes #6828/BZ1104636: show correct version of puppet module. …
  (walden@redhat.com)
- Fixes #6949/BZ970600: remove unused tasks endpoint. (walden@redhat.com)
- fixes #6963 - make templates compatible with RHEL 5 (stbenjam@redhat.com)
- fixes #6915 - cleanup activation key association on clean_backend_objects
  (jsherril@redhat.com)
- fixes #6565 - show kickstart url from content source if it can be calculated.
  otherwise don't hide media drop down (jmagen@redhat.com)
- Fixes #6894,bz1123473 - rm sys from HC docs (dtsang@redhat.com)
- Fixes #7025 - replace default_environment in sys (dtsang@redhat.com)
- Fixes #7024 - fixes delete cv from environment (dtsang@redhat.com)
- Fixes #6918,BZ1125999 - Removing dupe products in sync widget
  (daviddavis@redhat.com)
- Fixes #6175 - Handle new status icon that was added (daviddavis@redhat.com)
- Fixes #6985,BZ1127747 - Reusing CVEnv action in org destroy
  (daviddavis@redhat.com)
- fixes #4922, #6937 - Fixes issue with not being able to update system facts,
  BZ 1103860, 1126376 (cfouant@redhat.com)
- fixes #7012 - content search - fix 404 retrieving spinner.gif
  (bbuckingham@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Revert "fixes #6573 - foretello should error when sorting by non-sortable
  field, BZ 1110431" (komidore64@gmail.com)
- Adding SATELLITE-6.0.4 gettext .pot file for Bastion. (walden@redhat.com)
- fixes #6799 - Workaround for domainname service on RHEL 7 (BZ1071969)
  (stbenjam@redhat.com)
- Automatic commit of package [katello] minor release [1.5.0-28].
  (jmontleo@redhat.com)

* Wed Aug 06 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-78
- BZ1108864 - Make provisioning templates enterprise-grade
  (stbenjam@redhat.com)

* Wed Aug 06 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-77
- Fixes #6808/BZ1124058: fixing permissions of product buttons.
  (walden@redhat.com)
- Fixes #5745/BZ963572: upgrade angular-gettext to fix XSS. (walden@redhat.com)
- Fixes #6837 - remove old hook-actions (inecas@redhat.com)
- Fixes #6394: Manifest refresh use proxy. (ericdhelms@gmail.com)
- Fixes #6682 : Add a warning message if the user tries to run katello-debug.sh
  directly (bkearney@redhat.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- fixes #4734 - make katello templates available in all taxonomies
  (stbenjam@redhat.com)
- Fixes #6827/BZ1124607: hide CH Product tab if you lack permission.
  (walden@redhat.com)
- fixes #6883 - reverse order of activation keys (thomasmckay@redhat.com)
- Fixes #6097,bz1120427 - repository.feed -> repository.url (paji@redhat.com)
- fixes #4989,6734,6735 - adapting sync management page to use dynflow
  (jsherril@redhat.com)
- fixes #6663 - Details tab of foreman host shows multiple entries of
  'Subscription Status' (joseph@isratrade.co.il)
- fixes #6936 - Fixes typo in registration hint, BZ 1124075
  (cfouant@redhat.com)
- fixes #6128 - Fixes errata icons not showing, BZ 902948 (cfouant@redhat.com)
- fixes #6913 / BZ 1092143 - content view version - disable promote/remove on
  failed task (bbuckingham@redhat.com)
- fixes #6547 / BZ 1115468 - delete puppet modules from content view on repo
  delete (bbuckingham@redhat.com)
- fixes #6846 - correct link to hypervisor's content hosts
  (thomasmckay@redhat.com)
- Fixes #6354,bz1112717 - AK available_release perm (dtsang@redhat.com)
- fixes #6573 - foretello should error when sorting by non-sortable field, BZ
  1110431 (komidore64@gmail.com)
- Fixes 6807/bz1103033 - Host Collection UI rows refresh code (paji@redhat.com)
- Fixes #6829,6805 - Disable repo remove if published (paji@redhat.com)
- Fixes #6848,BZ1124547 - Checking content view environments
  (daviddavis@redhat.com)
- Fixes #6821/BZ1117636: fix link to activation keys on CV delete page.
  (walden@redhat.com)
- fixes #6880 - remove puppet from packages section (stbenjam@redhat.com)
- fixes #6322 - clean up puppet environment on cv delete (jsherril@redhat.com)
- Fixes #6845 - Fix undefined method puppet_env for nil (daviddavis@redhat.com)
- fixes #6869 - I18n not working w/unsupported languages, BZ 1093433
  (cfouant@redhat.com)
- fixes #6871 / BZ 1125397 - capsule - add error case for content sync
  (bbuckingham@redhat.com)
- Added missing requires for Red Hat Access Plugin. See
  https://bugzilla.redhat.com/show_bug.cgi?id=1052364 (lphiri@redhat.com)

* Wed Jul 30 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-76
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4475 from thomasmckay/6702-derived-products
  (thomasmckay@redhat.com)
- Merge pull request #4494 from stbenjam/6811 (ericdhelms@gmail.com)
- Merge pull request #4492 from ehelms/fixes-6804 (ericdhelms@gmail.com)
- Merge pull request #4491 from ehelms/fixes-6801 (ericdhelms@gmail.com)
- Fixes #6804: Fix de-select when individual nutupane items selected.
  (ericdhelms@gmail.com)
- fixes #6702 - use a subscriptions derived provided products
  (thomasmckay@redhat.com)
- fixes #6811 - install katello-agent during kickstart (stbenjam@redhat.com)
- Fixes #6801: Make tipsy's on content search page visible again.
  (ericdhelms@gmail.com)

* Tue Jul 29 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-75
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4474 from thomasmckay/6737-sub-amount
  (thomasmckay@redhat.com)
- Merge pull request #4340 from adamruzicka/fixes-6188 (ericdhelms@gmail.com)
- Merge pull request #4400 from thomasmckay/6406-associations
  (thomasmckay@redhat.com)
- Merge pull request #4296 from adamruzicka/fixes-5952 (walden@redhat.com)
- fixes #6519 - updating associations UI (thomasmckay@redhat.com)
- Merge pull request #4428 from stbenjam/6609 (inecas@redhat.com)
- Merge pull request #4444 from cfouant/auto-attach (thomasmckay@redhat.com)
- Merge pull request #4493 from bbuckingham/issue-6803 (bbuckingham@redhat.com)
- Fixes #6188 - Dynflowized activation key creation (aruzicka@redhat.com)
- Merge pull request #4468 from komidore64/rmi6720-content-management
  (komidore64@gmail.com)
- fixes #6803 / BZ 1115308 - content search - fix sql errors on product/repo
  auto-complete (bbuckingham@redhat.com)
- Merge pull request #4460 from parthaa/bulk-sync (parthaa@gmail.com)
- Merge pull request #4467 from parthaa/cv-publish-fix (parthaa@gmail.com)
- Merge pull request #4490 from dustint-rh/qpid-comps (dtsang@redhat.com)
- fixes #6652, #6578, #6738 - Enables setting auto-attach and triggers auto-
  attach and shows service level, BZ 1113879, BZ 1019227, BZ 999122
  (cfouant@redhat.com)
- Ref #6800 - add qpid-cpp-client-devel to comps (dtsang@redhat.com)
- fixes #6609 - katello templates for image-based hosts (stbenjam@redhat.com)
- Merge pull request #4429 from jmontleon/fix-candlepin-tomcat-dependency
  (ericdhelms@gmail.com)
- Fixes #6676,bz1120820 - Dynflowing bulk repo sync page (paji@redhat.com)
- Merge pull request #4479 from daviddavis/6696 (daviddavis@redhat.com)
- Merge pull request #4463 from daviddavis/temp/20140721155712
  (daviddavis@redhat.com)
- Merge pull request #4481 from dustint-rh/ak_filter_org_id_show
  (dtsang@redhat.com)
- Merge pull request #4482 from waldenraines/6776 (walden@redhat.com)
- Fixes #6775 - AK show filters by index's params (dtsang@redhat.com)
- Merge pull request #4442 from parthaa/disable-sync (parthaa@gmail.com)
- Fixes #6776/BZ1122254: update table when repository modified.
  (walden@redhat.com)
- Fixes #6651,bz1094986 - Disable Sync without repo url (paji@redhat.com)
- Merge pull request #4478 from waldenraines/6759 (walden@redhat.com)
- Merge pull request #4473 from parthaa/cv-required (parthaa@gmail.com)
- Merge pull request #4477 from thomasmckay/6740-enabled-label
  (thomasmckay@redhat.com)
- Refs #6696 - Fixing test that doesn't work with content-type json
  (daviddavis@redhat.com)
- Fixes #6759/BZ1108928: using #content as topbar.js expects.
  (walden@redhat.com)
- Fixes #6647,BZ1120335 - Remove old foreman org destroy routes
  (daviddavis@redhat.com)
- Merge pull request #4456 from jlsherrill/5096 (jlsherrill@gmail.com)
- Merge pull request #4421 from isratrade/6596 (jlsherrill@gmail.com)
- Merge branch 'SATELLITE-6.0.4' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/katello into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- fixes #6596 - fixes #6596 - change 'type' method to 'system_type' in
  Katello::System (jmagen@redhat.com)
- fixes #6740 - cleared up enabled text (thomasmckay@redhat.com)
- fixes #6737 - correct 'automatic' amount for subscriptions
  (thomasmckay@redhat.com)
- Fixes #5985/bz1102120 - Marked content_view_id as required param
  (paji@redhat.com)
- fixes #5096 - fail gracefully on pulp repo creation failure
  (jsherril@redhat.com)
- BZ1122135 - Rebrand provisioning templates (stbenjam@redhat.com)
- Fixes #5858,bz 109961 - Updated cv published content count (paji@redhat.com)
- refs # 6720 - necessary apidoc changes for content-management, BZ 1105276
  (komidore64@gmail.com)
- Fixes #5952, BZ1079174 - Fixes issue with content view filter name and
  description being impossible to edit (aruzicka@redhat.com)
- Fixes #6623 - Candlepin dependency correction for RHEL 7
  (jmontleo@redhat.com)

* Wed Jul 23 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-74
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4423 from bbuckingham/issue-6603 (bbuckingham@redhat.com)
- Merge pull request #4469 from bbuckingham/issue-6719 (bbuckingham@redhat.com)
- Merge pull request #4464 from cfouant/helptip-ak (ericdhelms@gmail.com)
- Merge pull request #4397 from cfouant/fixes-6012-new (thomasmckay@redhat.com)
- Merge pull request #4466 from cfouant/limit-activationkey
  (ericdhelms@gmail.com)
- fixes #6706 - Adds Activation Key helptip, BZ 1093180 (cfouant@redhat.com)
- fixes #6709 - Throws validation error when updating content-host limit below
  already consumed in hammer, BZ 1098425 (cfouant@redhat.com)
- Merge pull request #4470 from daviddavis/temp/20140722110039
  (daviddavis@redhat.com)
- Fixes #6691,BZ1021065 - Sync status only applies to repos with feeds
  (daviddavis@redhat.com)
- fixes #6719 / BZ 1079953 - Content Notices - fix deletion and list by org
  (bbuckingham@redhat.com)
- Merge pull request #4451 from waldenraines/6664 (walden@redhat.com)
- Merge pull request #4236 from cfouant/curl (thomasmckay@redhat.com)
- fixes #6578 - Fixes auto-attach subscriptions button, BZ 1019227
  (cfouant@redhat.com)
- fixes #6129 - Opens up /status reporting for Katello, BZ 1097875
  (cfouant@redhat.com)
- Fixes #6664/BZ1103169: remove incorrect usages of control-width.
  (walden@redhat.com)
- fixes #6603 / BZ 1115341 - content search - fix for missing package metadata
  (bbuckingham@redhat.com)

* Tue Jul 22 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-73
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4458 from daviddavis/temp/20140718101857
  (daviddavis@redhat.com)
- fixes #6686 - Remove extraneous alch-alert div from CV filters index
  (stbenjam@redhat.com)
- Fixes #6691,BZ1021065 - Not showing non-syncable products in dashboard
  (daviddavis@redhat.com)
- Merge pull request #4459 from bbuckingham/issue-6690 (bbuckingham@redhat.com)
- fixes #6690 / BZ 1111695 - content views & activation keys - fix bastion
  permission checking (bbuckingham@redhat.com)
- Merge pull request #4455 from bbuckingham/issue-6125 (bbuckingham@redhat.com)
- fixes #6125 / BZ 1106914 - organization ui - remove cloning
  (bbuckingham@redhat.com)
- Merge pull request #4432 from bbuckingham/issue-6626 (bbuckingham@redhat.com)
- Merge pull request #4447 from bbuckingham/issue-6646 (bbuckingham@redhat.com)
- Merge pull request #4439 from daviddavis/temp/20140716132424
  (daviddavis@redhat.com)
- Merge pull request #4434 from daviddavis/temp/20140716091214
  (daviddavis@redhat.com)
- Merge pull request #4436 from daviddavis/temp/20140716110339
  (daviddavis@redhat.com)
- Fixes #6643,BZ1105351 - Fixing drag-and-drop widgets on dashboard
  (daviddavis@redhat.com)
- Merge pull request #4445 from waldenraines/6653 (walden@redhat.com)
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4449 from waldenraines/5948 (walden@redhat.com)
- Fixes #5948/BZ1077886: tell alch-alert to track by index instead of value.
  (walden@redhat.com)
- Merge pull request #4382 from waldenraines/6321 (walden@redhat.com)
- Merge pull request #4446 from jlsherrill/6649 (jlsherrill@gmail.com)
- Fixes #6321/BZ1111695: check permission before displaying bastion page.
  (walden@redhat.com)
- fixes #6649 - explicitly require java 1.7 since the installer now requires it
  (jsherril@redhat.com)
- Merge pull request #4443 from daviddavis/temp/20140716162734
  (daviddavis@redhat.com)
- Merge pull request #4239 from ehelms/fixes-6126 (ericdhelms@gmail.com)
- Merge pull request #4378 from komidore64/rmi6463-hammer-org-description
  (komidore64@gmail.com)
- fixes #6646 / BZ 1104104 - Content View - disable version promote/remove
  during publish/promote (bbuckingham@redhat.com)
- Fixes #6653/BZ1013689: show success message on repo creation and update.
  (walden@redhat.com)
- Fixes #6648,BZ1120336 - Reload product before destroying it
  (daviddavis@redhat.com)
- Merge pull request #4417 from waldenraines/6591 (walden@redhat.com)
- Fixes #6635,BZ1114046 - Fixing undefined method cp_id error
  (daviddavis@redhat.com)
- fixes #6463 - hammer org update description , BZ 1114136
  (komidore64@gmail.com)
- Merge pull request #4440 from jlsherrill/6571 (jlsherrill@gmail.com)
- Merge pull request #4438 from jlsherrill/6572 (jlsherrill@gmail.com)
- fixes #6571 - changing text on host errata screen (jsherril@redhat.com)
- Fixes #6591/BZ1076364: include fonts that datepicker depends on.
  (walden@redhat.com)
- fixes #6572 - fix default check on path selector (jsherril@redhat.com)
- Fixes #6218,BZ1112764 - Using pulp status route for ping
  (daviddavis@redhat.com)
- fixes #6626 / BZ 1079958 - content dashboard - fix N results
  (bbuckingham@redhat.com)
- Fixes #6126: Moves RHSM routes to their own API (/rhsm) and routes file.
  (ericdhelms@gmail.com)

* Wed Jul 16 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-72
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4430 from bbuckingham/issue-6624 (bbuckingham@redhat.com)
- Merge pull request #4433 from jlsherrill/6628 (jlsherrill@gmail.com)
- Merge pull request #4426 from bbuckingham/issue-6607 (bbuckingham@redhat.com)
- Merge pull request #4427 from bbuckingham/issue-6619 (bbuckingham@redhat.com)
- fixes #6628 - fixing live glue pulp vcr tests (jsherril@redhat.com)
- Merge pull request #4405 from daviddavis/org-destroy (daviddavis@redhat.com)
- fixes #6624 / BZ 1105617 - content host package actions - disable buttons
  when busy (bbuckingham@redhat.com)
- Merge pull request #4412 from waldenraines/6554 (walden@redhat.com)
- fixes #6619 / BZ 1111733 - Lifecycle Environment: do not update label
  (bbuckingham@redhat.com)
- Refs #6180,BZ1100311 - Remove old del_owner method from owner
  (daviddavis@redhat.com)
- fixes #6607 / BZ 1106565 - Content View Package Filter Rules - allow
  duplicate name (bbuckingham@redhat.com)
- Fixes #6180,BZ1100311 - Implement organization destroy in dynflow
  (daviddavis@redhat.com)
- Fixes #6554/BZ1095965 - fix path to asset in jquery-ui. (walden@redhat.com)

* Tue Jul 15 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-71
- fix candlepin-tomcat dep (jmontleo@redhat.com)

* Tue Jul 15 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-70
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4406 from waldenraines/6531 (walden@redhat.com)
- Merge pull request #4422 from bbuckingham/issue-6601 (bbuckingham@redhat.com)
- fixes #6604 - fixing rake db:seed error (jsherril@redhat.com)
- fixes #6601 / BZ 1115364 - content search - fix package license
  (bbuckingham@redhat.com)
- Merge pull request #4393 from stbenjam/6512-notices (walden@redhat.com)
- fixes #6512 - move valid notices routes inside resources block
  (stbenjam@redhat.com)
- Fixes #6531/BZ1117487 - set active menu on $state change. (walden@redhat.com)

* Mon Jul 14 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-69
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4325 from isratrade/6329 (jlsherrill@gmail.com)
- Merge pull request #4418 from bbuckingham/issue-6592 (bbuckingham@redhat.com)
- Merge pull request #4419 from bbuckingham/issue-6593 (bbuckingham@redhat.com)
- fixes #6593 / BZ 1118897 - Host Collections - fix crosslink to edit env and
  view (bbuckingham@redhat.com)
- fixes #6592 / BZ 1118895 - Activation Keys UI: replace 'System' references
  (bbuckingham@redhat.com)
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4413 from waldenraines/6551 (walden@redhat.com)
- Fixes #6411 - filter content param in CU BZ1111484 (dtsang@redhat.com)
- Merge pull request #4415 from stbenjam/6461-duplicates (walden@redhat.com)
- Merge pull request #4411 from waldenraines/6553 (walden@redhat.com)
- Merge pull request #4329 from ehelms/fixes-5502 (ericdhelms@gmail.com)
- fixes #6329 - toggle label content view/puppet environment, toggle show/hide
  installation media on new host form (jmagen@redhat.com)
- fixes #6461 - create Katello permissions without quotes in db seeds
  (stbenjam@redhat.com)
- Fixes #5502: Removes old Katello authorization system. (ericdhelms@gmail.com)
- Merge pull request #4410 from jlsherrill/6556 (jlsherrill@gmail.com)
- Fixes #6551/BZ1112644: show add/remove content hosts if user able
  (walden@redhat.com)
- Merge pull request #4409 from jlsherrill/6555 (jlsherrill@gmail.com)
- Fixes #6553/BZ111225: add "repositories" to product resource type name.
  (walden@redhat.com)
- Merge pull request #4399 from jlsherrill/6518-loc (jlsherrill@gmail.com)
- fixes #6556 - setting static password in rake katello:reset
  (jsherril@redhat.com)
- fixes #6555 - removing unused candlepin cert (jsherril@redhat.com)
- fixes #6518,#5619 - Enable all templates & hostgroups for new locations
  (jsherril@redhat.com)
- Fixes #6513/bz1116933- Fixed search issues with product destroy
  (paji@redhat.com)
- Automatic commit of package [katello] minor release [1.5.0-27].
  (jmontleo@redhat.com)

* Mon Jul 14 2014 Jason Montleon <jmontleo@redhat.com>
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4325 from isratrade/6329 (jlsherrill@gmail.com)
- Merge pull request #4418 from bbuckingham/issue-6592 (bbuckingham@redhat.com)
- Merge pull request #4419 from bbuckingham/issue-6593 (bbuckingham@redhat.com)
- fixes #6593 / BZ 1118897 - Host Collections - fix crosslink to edit env and
  view (bbuckingham@redhat.com)
- fixes #6592 / BZ 1118895 - Activation Keys UI: replace 'System' references
  (bbuckingham@redhat.com)
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #4413 from waldenraines/6551 (walden@redhat.com)
- Fixes #6411 - filter content param in CU BZ1111484 (dtsang@redhat.com)
- Merge pull request #4415 from stbenjam/6461-duplicates (walden@redhat.com)
- Merge pull request #4411 from waldenraines/6553 (walden@redhat.com)
- Merge pull request #4329 from ehelms/fixes-5502 (ericdhelms@gmail.com)
- fixes #6329 - toggle label content view/puppet environment, toggle show/hide
  installation media on new host form (jmagen@redhat.com)
- fixes #6461 - create Katello permissions without quotes in db seeds
  (stbenjam@redhat.com)
- Fixes #5502: Removes old Katello authorization system. (ericdhelms@gmail.com)
- Merge pull request #4410 from jlsherrill/6556 (jlsherrill@gmail.com)
- Fixes #6551/BZ1112644: show add/remove content hosts if user able
  (walden@redhat.com)
- Merge pull request #4409 from jlsherrill/6555 (jlsherrill@gmail.com)
- Fixes #6553/BZ111225: add "repositories" to product resource type name.
  (walden@redhat.com)
- Merge pull request #4399 from jlsherrill/6518-loc (jlsherrill@gmail.com)
- fixes #6556 - setting static password in rake katello:reset
  (jsherril@redhat.com)
- fixes #6555 - removing unused candlepin cert (jsherril@redhat.com)
- fixes #6518,#5619 - Enable all templates & hostgroups for new locations
  (jsherril@redhat.com)
- Fixes #6513/bz1116933- Fixed search issues with product destroy
  (paji@redhat.com)
- Automatic commit of package [katello] minor release [1.5.0-27].
  (jmontleo@redhat.com)

* Wed Jul 09 2014 Jason Montleon <jmontleo@redhat.com> 1.5.0-67
- update rel-eng files (jmontleo@redhat.com)
- Merge pull request #4407 from daviddavis/temp/20140709083624
  (daviddavis@redhat.com)
- Merge pull request #4401 from jlsherrill/6523-def_loc (jlsherrill@gmail.com)
- Merge pull request #4390 from isratrade/6499 (jlsherrill@gmail.com)
- Merge pull request #4403 from bbuckingham/issue-6527 (bbuckingham@redhat.com)
- Merge pull request #4404 from jlsherrill/6516-prod_delete
  (jlsherrill@gmail.com)
- Refs #6180,1100311 - Remove old organization destroyer code
  (daviddavis@redhat.com)
- Merge pull request #4392 from jlsherrill/6508-lowercase
  (jlsherrill@gmail.com)
- fixes #6523 - adding default boolean for tracking default loc
  (jsherril@redhat.com)
- Merge pull request #4361 from jlsherrill/6422-module_repo
  (jlsherrill@gmail.com)
- fixes #6508 - fixing package group search (jsherril@redhat.com)
- fixes #6516 - various product deletion fixes (jsherril@redhat.com)
- Merge pull request #4360 from waldenraines/6300 (walden@redhat.com)
- Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields
  (walden@redhat.com)
- Merge pull request #4396 from bbuckingham/issue-6511 (bbuckingham@redhat.com)
- Merge pull request #4373 from cfouant/sys-detail (ericdhelms@gmail.com)
- fixes #6527 / BZ 1115955 - activation keys - filter host collections by
  organization (bbuckingham@redhat.com)
- fixes #6443 - Adds help text for release version on system details UI, BZ
  1043913 (cfouant@redhat.com)
- Merge pull request #4398 from bbuckingham/issue-6515 (bbuckingham@redhat.com)
- Merge pull request #4339 from stbenjam/6373-proxy-environments
  (jlsherrill@gmail.com)
- fixes #6511 / BZ 1109085 - content host bulk errata fixes
  (bbuckingham@redhat.com)
- Merge pull request #4388 from waldenraines/6490 (walden@redhat.com)
- fixes #6515 / BZ 1107604 - content host package action: disable Perform on
  empty input (bbuckingham@redhat.com)
- Merge pull request #4358 from jlsherrill/6415-dists (jlsherrill@gmail.com)
- Merge pull request #4380 from jlsherrill/6477-proxy (jlsherrill@gmail.com)
- Merge pull request #4394 from waldenraines/6391 (walden@redhat.com)
- Fixes #6391/BZ1091844 - use complete links for content search.
  (walden@redhat.com)
- Merge pull request #4377 from daviddavis/temp/20140702112525
  (daviddavis@redhat.com)
- Merge pull request #4383 from waldenraines/6479 (walden@redhat.com)
- Merge pull request #4391 from bbuckingham/issue-6510 (bbuckingham@redhat.com)
- Merge pull request #4330 from jlsherrill/filters (jlsherrill@gmail.com)
- Merge pull request #4376 from bbuckingham/issue-6469 (bbuckingham@redhat.com)
- Merge pull request #4384 from mbacovsky/6480_apidoc_typo
  (jlsherrill@gmail.com)
- fixes #6510 / BZ 1109138 - disable pkg action buttons when no content hosts
  selected (bbuckingham@redhat.com)
- Merge pull request #4379 from bbuckingham/issue-6472 (bbuckingham@redhat.com)
- fixes #6472 / BZ 1113230 - content view filter - fix issue where filter not
  available (bbuckingham@redhat.com)
- fixes #6499 - fix css formatting on organization form to bootstrap3
  (jmagen@redhat.com)
- Fixes #6490/BZ1116143 - remove unsed Katello javascript. (walden@redhat.com)
- fixes #6489 - use candlepin activation key name when creating consumer
  (thomasmckay@redhat.com)
- Fixes #6480 - Syntax error in param description (martin.bacovsky@gmail.com)
- Merge pull request #4369 from dustint-rh/create_CH_with_type
  (jlsherrill@gmail.com)
- Fixes #6448 - CH create w/o type and doc BZ1114065 (dtsang@redhat.com)
- Fixes #6479/BZ1115633: hide product content edit button if applicable
  (walden@redhat.com)
- fixes #6477 - fixing host/smart proxy association (jsherril@redhat.com)
- Merge pull request #4370 from komidore64/rmi6450-hammer-ping-correct-
  exitstatus (komidore64@gmail.com)
- Fixes #6460,BZ1115553 - Removing old orchestration hook
  (daviddavis@redhat.com)
- Merge pull request #4372 from daviddavis/temp/20140701103734
  (daviddavis@redhat.com)
- Merge pull request #4348 from waldenraines/6390 (walden@redhat.com)
- Fixes #6390/BZ1095098 - disabled table actions if no rows are selected.
  (walden@redhat.com)
- Merge pull request #4371 from bbuckingham/issue-6442 (bbuckingham@redhat.com)
- fixes #6469 / BZ 1113740 - content view promotion - remove org id from user
  message (bbuckingham@redhat.com)
- fixes 6415 - ignore non-bootable distributions in content view
  (jsherril@redhat.com)
- fixes #6450 - server returns correctly summary status, BZ 1094826
  (komidore64@gmail.com)
- Merge pull request #4352 from waldenraines/5181 (walden@redhat.com)
- fixes #5030 - reload filter on package group/errata rule list
  (jsherril@redhat.com)
- Fixes #5181/BZ1110955 - filter available for composte CV server side.
  (walden@redhat.com)
- Fixes #6457,BZ1115089 - Match multiple items on contents changed
  (daviddavis@redhat.com)
- fixes #6442 / BZ 1090643 - content view - add support for content view
  copy/clone (bbuckingham@redhat.com)
- fixes #6373 - make lifecycle_environment_ids accessible (stbenjam@redhat.com)
- Merge pull request #4366 from stbenjam/6434-long-env-name
  (ericdhelms@gmail.com)
- Merge pull request #4367 from bbuckingham/issue-6439 (bbuckingham@redhat.com)
- Merge pull request #4363 from bbuckingham/issue-6428 (bbuckingham@redhat.com)
- Merge pull request #4362 from bbuckingham/issue-6427 (bbuckingham@redhat.com)
- Merge pull request #4365 from stbenjam/bz1111080-uncheck-env
  (ericdhelms@gmail.com)
- fixes #6433 - allow a lifecycle environment to be unselected
  (stbenjam@redhat.com)
- Merge pull request #4303 from waldenraines/5628 (walden@redhat.com)
- Merge pull request #4368 from komidore64/rmi3272 (komidore64@gmail.com)
- refs #3272 - fixing db/seeds.rb for katello, BZ 868910 (komidore64@gmail.com)
- Fixes #5628 - remove converted v1 API controllers and tests.
  (walden@redhat.com)
- Merge pull request #4338 from dustint-rh/subman_consumer_reg
  (ericdhelms@gmail.com)
- Merge pull request #4350 from stbenjam/6392-edit-repo-name
  (walden@redhat.com)
- fixes #6428 / BZ 1109062 - Bulk Host Collection - disable add/remove when no
  hosts selected (bbuckingham@redhat.com)
- fixes #6439 / BZ 1094190 - Include notification on add/remove pkg filter rule
  (bbuckingham@redhat.com)
- fixes #6434 - wrap long lifecycle environment names in CV promotion
  (stbenjam@redhat.com)
- fixes #6427 / BZ 1109737 - remove Nest option from taxonomy actions
  (bbuckingham@redhat.com)
- fixes #6392 - make repository names editable (stbenjam@redhat.com)
- Fixes #6367 - cnsmer_shw auth client/usr BZ1112664 (dtsang@redhat.com)
- Merge pull request #4353 from parthaa/fk (parthaa@gmail.com)
- Merge pull request #4355 from parthaa/bulk-product-destroy
  (parthaa@gmail.com)
- Fixes #6409, bz 1113684 - Bulk Product destroy dynflowed. (paji@redhat.com)
- fixes 6422 - validate repoid (and pick a valid one) on cv publish
  (jsherril@redhat.com)
- Fixes #4870, bz1113398 - Added missing foreign key associations
  (paji@redhat.com)
- Fixes #6419 - Change the default org name (daviddavis@redhat.com)
- Merge pull request #4354 from waldenraines/5957 (walden@redhat.com)
- Merge pull request #4351 from dustint-rh/content_view_failure_msg_system
  (ericdhelms@gmail.com)
- Merge pull request #4304 from tstrachota/5958_cv_puppet_modules
  (kontakt@pitr.ch)
- Merge pull request #4332 from dustint-rh/AK_add_host_collections
  (komidore64@gmail.com)
- Fixes #5957/BZ1091835 - prevent product tooltip from "blinking".
  (walden@redhat.com)
- Merge pull request #4343 from waldenraines/6366 (walden@redhat.com)
- Fixes #6347 - AK doc add/rm_host_coll BZ1101537 (dtsang@redhat.com)
- Fixes #6397 - cv sys in error msg BZ1111240 (dtsang@redhat.com)
- Merge pull request #4347 from jlsherrill/ohadlevy-4341-2
  (jlsherrill@gmail.com)
- Fixes #6366/BZ1112865 - restore readonly product functionality.
  (walden@redhat.com)
- refs #6381 - changing validate_media? override to alias chain
  (jsherril@redhat.com)
- Merge pull request #4349 from jlsherrill/chosts (jlsherrill@gmail.com)
- Merge pull request #4328 from cfouant/fixes-6336 (jlsherrill@gmail.com)
- fixes #6389 - removing available content for content hosts rabl
  (jsherril@redhat.com)
- fixes #6381 - properly calculate pxe image urls when using content
  (jmagen@redhat.com)
- Merge pull request #4336 from ehelms/refs-5029 (ericdhelms@gmail.com)
- fixes #6336, #6255 - Fixes issue with not being able to use same name for an
  activation key across multiple orgs, BZ 1105024, BZ 1109907, BZ 1105024
  (cfouant@redhat.com)
- Merge pull request #4274 from ehelms/fixes-4045 (ericdhelms@gmail.com)
- Merge pull request #4335 from daviddavis/temp/20140624134130
  (daviddavis@redhat.com)
- Fixes #4045: Repository name and label validations properly handled.
  (ericdhelms@gmail.com)
- Refs #5029: Allow initial organization and location to be specified during
  seed. (ericdhelms@gmail.com)
- Fixes #6183 - Convert system unregister to dynflow (daviddavis@redhat.com)
- Merge pull request #4334 from ehelms/fixes-6200 (ericdhelms@gmail.com)
- Merge pull request #4257 from ehelms/fixes-6176 (ericdhelms@gmail.com)
- Merge pull request #4337 from thomasmckay/5114-actkey-limits
  (thomasmckay@redhat.com)
- Fixes #5958 - content-view puppet module operations (tstrachota@redhat.com)
- fixes #5114 - enforce limits when registering through subscription-manager
  (thomasmckay@redhat.com)
- Merge pull request #4314 from waldenraines/6001 (walden@redhat.com)
- Fixes #6001 - specify local or server time for sync plan times.
  (walden@redhat.com)
- Fixes #6176, #5030, #4969, BZ1103492: Improving interaction of content view
  errata id filters. (ericdhelms@gmail.com)
- Fixes #6200: Rename nodes to capsules throughout UI. (ericdhelms@gmail.com)
- Merge pull request #4333 from thomasmckay/6323-page-content
  (thomasmckay@redhat.com)
- Merge pull request #4331 from mccun934/20140623-1451 (mmccune@gmail.com)
- Merge pull request #4320 from ehelms/fixes-4702 (ericdhelms@gmail.com)
- fixes #6323 - correctly get enabled products and full unpaged results
  (thomasmckay@redhat.com)
- Merge pull request #4323 from jlsherrill/capsule (jlsherrill@gmail.com)
- fixes #6346 - remove reference to unused bugzilla (mmccune@redhat.com)
- Fixes #4702: Only include selected repositories in UI when filtering for
  content view. (ericdhelms@gmail.com)
- Merge pull request #4308 from ehelms/fixes-5451 (ericdhelms@gmail.com)
- Merge pull request #4311 from ehelms/fixes-5805 (ericdhelms@gmail.com)
- Merge pull request #4299 from bbuckingham/issue-6270 (bbuckingham@redhat.com)
- Merge pull request #4321 from bbuckingham/issue-6276 (bbuckingham@redhat.com)
- fixes #6270 / BZ 1110020 - fix issues with content view version deletion
  (bbuckingham@redhat.com)
- fixes #6276 / BZ 1106378 - content view package filter - allow user to change
  existing rules (bbuckingham@redhat.com)
- Merge pull request #4327 from waldenraines/6324 (walden@redhat.com)
- Merge pull request #4302 from daviddavis/temp/20140618163727
  (daviddavis@redhat.com)
- Fixes #6342 - correct permission of environment remove button.
  (walden@redhat.com)
- Fixes #6189 - Rework activation key destroy with dynflow
  (daviddavis@redhat.com)
- Merge pull request #4316 from thomasmckay/6301-api-guests
  (thomasmckay@redhat.com)
- Refs #6113 - use dynflow tasks to modify capsule lifecycle env
  (jsherril@redhat.com)
- Merge pull request #4307 from ehelms/fixes-5040 (ericdhelms@gmail.com)
- Merge pull request #4322 from ehelms/fixes-4999 (ericdhelms@gmail.com)
- Merge pull request #4295 from MichaelMraka/master (walden@redhat.com)
- Fixes #4999: Allow repository creation using only the keyboard to traverse
  the form. (ericdhelms@gmail.com)
- Merge pull request #4312 from thomasmckay/6924-subs-rabl
  (thomasmckay@redhat.com)
- Merge pull request #4319 from jlsherrill/reindex (jlsherrill@gmail.com)
- fixes #6113 - add lifecycle environment tab to smart proxy / capsule form
  (joseph@isratrade.co.il)
- fixes #6317 - fixing reindex rake task due to improper include
  (jsherril@redhat.com)
- Fixes #5439/BZ1076357 - align "Cancel" link not to cross table border
  (michael.mraka@redhat.com)
- Merge pull request #4315 from ehelms/fixes-6165 (ericdhelms@gmail.com)
- Merge pull request #4317 from ehelms/fixes-5108 (ericdhelms@gmail.com)
- Merge pull request #4318 from ehelms/fixes-5944 (ericdhelms@gmail.com)
- Merge pull request #4218 from parthaa/product-destroy (daviddavis@redhat.com)
- Merge pull request #4282 from jlsherrill/isratrade-6145
  (jlsherrill@gmail.com)
- Merge pull request #4305 from bbuckingham/issue-6290 (bbuckingham@redhat.com)
- Fixes #5944: Ensure links to old Katello pages are followed.
  (ericdhelms@gmail.com)
- Fixes #5108: Wrap li's in ul to prevent showing up outside table cell.
  (ericdhelms@gmail.com)
- Fixes #6165: Ensure all repositories loaded on content view repository lists.
  (ericdhelms@gmail.com)
- Merge pull request #4279 from parthaa/cvv-perms-fix (parthaa@gmail.com)
- Merge pull request #4108 from ehelms/fixes-5713 (ericdhelms@gmail.com)
- Fixes #5081, #6185 - Dynflowing product delete (paji@redhat.com)
- Fixes #6195, bz1109386 - 403 on cv version delete (paji@redhat.com)
- fixes #6301 - correcting host/guest (thomasmckay@redhat.com)
- fixes #6290 / BZ 1111078 - fix host <-> content host association during
  registration (bbuckingham@redhat.com)
- Merge pull request #4280 from parthaa/provisioner (parthaa@gmail.com)
- fixes #6924 - correct subscriptions json output (thomasmckay@redhat.com)
- Merge pull request #4310 from waldenraines/5543 (walden@redhat.com)
- Fixes #5040: Fix organization wide auto attach of subscriptions via API and
  UI. (ericdhelms@gmail.com)
- Fixes #5805: Update qpidd.conf location and grab Pulp messages in debug.
  (ericdhelms@gmail.com)
- Fixes #5543/BZ1102322 - fix content search autocomplete. (walden@redhat.com)
- Merge pull request #4309 from ehelms/fixes-4981 (ericdhelms@gmail.com)
- Fixes #4981: Update link to custom content repositories on sync management.
  (ericdhelms@gmail.com)
- refs #6145 - use content source instead of pulp proxy (jsherril@redhat.com)
- refs #6145 - use content source for content upon registration
  (jsherril@redhat.com)
- Fixes #4647: Hide 'Sync Now' button on feedless repositories.
  (ericdhelms@gmail.com)
- Fixes #5713: Removes instance method declarations from included block of
  concerns. (ericdhelms@gmail.com)
- refs #6145 - calculating installation url based on smart proxy
  (jsherril@redhat.com)
- Merge pull request #4288 from GregSutcliffe/6256 (jlsherrill@gmail.com)
- Merge pull request #4256 from ehelms/fixes-5523 (ericdhelms@gmail.com)
- Fixes #5523: Content host available releases are now calculated based on
  content view. (ericdhelms@gmail.com)
- Merge pull request #4238 from iNecas/issue/5719 (inecas@redhat.com)
- Merge pull request #4276 from cfouant/fixes-6064 (jlsherrill@gmail.com)
- Merge pull request #4286 from ehelms/fixes-6239 (ericdhelms@gmail.com)
- fixes #6064 - Content-view filters can be sorted by name, BZ 1102451
  (cfouant@redhat.com)
- Merge pull request #4289 from ehelms/fixes-4847 (ericdhelms@gmail.com)
- Merge pull request #4293 from cfouant/fixes-6262 (walden@redhat.com)
- Merge pull request #4285 from ehelms/fixes-4172 (ericdhelms@gmail.com)
- Merge pull request #4277 from jlsherrill/puppet (jlsherrill@gmail.com)
- fixes #6262 - wraps system name display to prevent overlapping in table, BZ
  1019773 (cfouant@redhat.com)
- Fixes #4847: Add loading spinner for environment selector on promotion page.
  (ericdhelms@gmail.com)
- Merge pull request #4301 from waldenraines/6274 (walden@redhat.com)
- Merge pull request #4298 from waldenraines/6271 (walden@redhat.com)
- Merge pull request #4226 from waldenraines/5503 (walden@redhat.com)
- Merge pull request #4300 from cfouant/fixes-6277 (walden@redhat.com)
- fixes #6243 - making available module list org aware (jsherril@redhat.com)
- Fixes #6274 - only disable initial load if it's actually disabled.
  (walden@redhat.com)
- Fixes #6271 - add var convention to Bastion readme (walden@redhat.com)
- Merge pull request #4284 from ehelms/fixes-6249 (ericdhelms@gmail.com)
- fixes #6277 - fixes issue with promotion hint not matching functionality, BZ
  1091941 (cfouant@redhat.com)
- Fixes #6239: Ensure product label and name uniqueness is adhered to.
  (ericdhelms@gmail.com)
- Fixes #5503/BZ1102315 - restrict UI interactions to actual permissions.
  (walden@redhat.com)
- Merge pull request #4297 from bbuckingham/issue-6269 (bbuckingham@redhat.com)
- fixes #6269 / BZ 1110486 - activation key - include description on details
  pane (bbuckingham@redhat.com)
- fixes #6145 - add pulp proxy to host form (joseph@isratrade.co.il)
- fixes #6144 - fix css formatting formatting fields on katello form builder to
  bootstrap3 (joseph@isratrade.co.il)
- Merge pull request #4246 from isratrade/6156 (jlsherrill@gmail.com)
- Merge pull request #4292 from waldenraines/6260 (walden@redhat.com)
- Merge pull request #4290 from dustint-rh/ak_put_env_not_required
  (thomasmckay@redhat.com)
- Merge pull request #4291 from waldenraines/6252 (walden@redhat.com)
- Fixes #6260/BZ1023881 - display OS on content host index page.
  (walden@redhat.com)
- Fixes #6258 - env_id & cv_id optional in ak update (dtsang@redhat.com)
- Fixes #5451: Load only custom products for repo discovery.
  (ericdhelms@gmail.com)
- Fixes #6252/BZ1087079 - default to errata_id on bulk errata searches.
  (walden@redhat.com)
- Merge pull request #4263 from bbuckingham/issue-6204 (bbuckingham@redhat.com)
- Fixes #6256 - Handle a nil value in kt_env for hostgroups
  (gsutclif@redhat.com)
- Fixes #6246, bz1100582 - Services mods for  KS templates (paji@redhat.com)
- Merge pull request #4244 from dustint-rh/system_index_filter_org_env
  (thomasmckay@redhat.com)
- fixes #6204 / BZ 1099016 - Fix gpg key on repo create and yum retrieval
  (bbuckingham@redhat.com)
- Fixes #4172: Prevent alch-edit-select errors by checking if editTrigger
  exists. (ericdhelms@gmail.com)
- Merge pull request #4189 from dustint-
  rh/org_api_apipie_param_group_resource_substitution (komidore64@gmail.com)
- Merge pull request #4283 from daviddavis/temp/20140617090242
  (daviddavis@redhat.com)
- Fixes #6249,BZ1109398: Candlepin proxy routes properly looking up
  organization. (ericdhelms@gmail.com)
- Fixes #6250,BZ1110012 - Define search_type for PuppetModule class
  (daviddavis@redhat.com)
- Merge pull request #4278 from bkearney/bkearney/6245
  (bryan.kearney@gmail.com)
- Merge pull request #4265 from daviddavis/temp/20140613091921
  (daviddavis@redhat.com)
- Fixes #6147 - filter both org and env in sys (dtsang@redhat.com)
- Merge pull request #4266 from thomasmckay/6215 (thomasmckay@redhat.com)
- Merge pull request #4264 from thomasmckay/6197-host-guest
  (thomasmckay@redhat.com)
- Fixes #6245 : Add mongo and postgres logs to katello debug
  (bkearney@redhat.com)
- Merge pull request #4248 from bbuckingham/issue-5026 (bbuckingham@redhat.com)
- fixes #6215 - do not pass full objects to rabl (thomasmckay@redhat.com)
- Merge pull request #4275 from waldenraines/6242 (walden@redhat.com)
- Fixes #6242 - remove unused distributor from rabl to fix error.
  (walden@redhat.com)
- Merge pull request #4271 from parthaa/dynflow-dev (parthaa@gmail.com)
- Merge pull request #4270 from ehelms/fixes-6221 (ericdhelms@gmail.com)
- fixes #6197 - moving host/guests to virtual_host/virtual_guests
  (thomasmckay@redhat.com)
- Fixes #5555 - fix org update action's apipie param (dtsang@redhat.com)
- Merge pull request #4268 from cfouant/product-version (ericdhelms@gmail.com)
- Merge pull request #4269 from bbuckingham/issue-5955 (bbuckingham@redhat.com)
- Fixes #6221: Content host errata and host collection bulk actions no longer
  400. (ericdhelms@gmail.com)
- Merge pull request #4233 from daviddavis/temp/20140609132351
  (daviddavis@redhat.com)
- Fixes #6211,BZ1102521 - Requiring a user to ping pulp_auth
  (daviddavis@redhat.com)
- Merge pull request #4229 from waldenraines/6046 (walden@redhat.com)
- Merge pull request #4259 from ehelms/fixes-4610 (ericdhelms@gmail.com)
- Fixes #6046/BZ1103317 - fix display of version on composite CV page.
  (walden@redhat.com)
- Fixes #6237 - allow canceling remote execution actions (inecas@redhat.com)
- Fixes #5719 - poll directly after sending the cancel (inecas@redhat.com)
- Fixes #6222 - Auto Enables dynflow console for dev mode (paji@redhat.com)
- refs #5955 / BZ 1094633 - update content view removal to update history
  (bbuckingham@redhat.com)
- fixes #5955 / BZ 1094633 - update the content dashboard for content views
  (bbuckingham@redhat.com)
- fixes #6220 - Adds product version to content host details installed products
  list, BZ 1043900 (cfouant@redhat.com)
- Merge pull request #4254 from daviddavis/update-system-info-subs
  (daviddavis@redhat.com)
- Merge pull request #4262 from komidore64/rmi6206-repository-filter-by-name
  (komidore64@gmail.com)
- Merge pull request #4261 from daviddavis/temp/20140612150554
  (daviddavis@redhat.com)
- fixes #6206 - looking repositories by name, BZ 1108096 (komidore64@gmail.com)
- Merge pull request #4240 from stbenjam/5761-realm-template
  (jlsherrill@gmail.com)
- Merge pull request #4258 from ehelms/fixes-6198 (ericdhelms@gmail.com)
- Fixes #6202,BZ1085494 - Fix legacy_search for PuppetModule
  (daviddavis@redhat.com)
- Fixes #5245: Prevent selecting all items when searching.
  (ericdhelms@gmail.com)
- Fixes #4610: Stop double submission of sync action on sync management.
  (ericdhelms@gmail.com)
- Fixes #6198: API methods that load database records should request only ID
  field. (ericdhelms@gmail.com)
- Merge pull request #4247 from komidore64/rmi6168-subscription-list-require-
  org (komidore64@gmail.com)
- Merge pull request #4252 from komidore64/rmi6173-gpgkey-filter-name
  (komidore64@gmail.com)
- Fixes #6175 BZ1102951: Worked on updating content hosts details
  (daviddavis@redhat.com)
- Merge pull request #4255 from ehelms/fixes-4964 (ericdhelms@gmail.com)
- fixes #4636 - refactor OperatingsystemExtensions to RedhatExtensions and
  refactor MediumExtensions (joseph@isratrade.co.il)
- fixes #5026 / BZ 1094176 - content view package group filter - handle
  duplicate group names across repos (bbuckingham@redhat.com)
- Fixes #4964, #4963: Product json incorrectly grabbed all repositories.
  (ericdhelms@gmail.com)
- Merge pull request #4245 from parthaa/publish-fix (parthaa@gmail.com)
- Merge pull request #4253 from waldenraines/6174 (walden@redhat.com)
- Merge pull request #4251 from thomasmckay/6172-hidden-user
  (thomasmckay@redhat.com)
- Fixes #6174/BZ 1020808 - ensure host advanced info link is displayed.
  (walden@redhat.com)
- fixes #6173 - gpg info to now filter by name, BZ 1108227
  (komidore64@gmail.com)
- Merge pull request #4249 from ehelms/fixes-6171 (ericdhelms@gmail.com)
- Merge pull request #4250 from ehelms/fixes-6170 (ericdhelms@gmail.com)
- fixes #6172 - give hidden user access to all orgs (thomasmckay@redhat.com)
- Fixes #6170: Changes 'Environment' to 'Lifecycle Environment' on overriden
  Foreman pages. (ericdhelms@gmail.com)
- Fixes #6171: Remove nil UUIDs when generating content host list.
  (ericdhelms@gmail.com)
- Fixes #6153, bz1107876 - Fixed cv package excludes publish (paji@redhat.com)
- Merge pull request #4242 from daviddavis/temp/20140610140413
  (daviddavis@redhat.com)
- Fixes #6146 BZ1105623: Fixing undefined method call (daviddavis@redhat.com)
- fixes #6168 - subscription list should require org, BZ 1097647
  (komidore64@gmail.com)
- Merge pull request #4237 from bbuckingham/issue-5974 (bbuckingham@redhat.com)
- Merge pull request #4231 from bbuckingham/issue-6120 (bbuckingham@redhat.com)
- Merge pull request #4227 from bbuckingham/issue-6108 (bbuckingham@redhat.com)
- fixes #6108/BZ 1105310 - ensure unique name when creating installation media
  (bbuckingham@redhat.com)
- fixes #6151 - filter content-views by name for hammer, BZ 1107319
  (komidore64@gmail.com)
- Refs #6123,BZ1106563 - Disabling org deletion (daviddavis@redhat.com)
- Fixes #5761, #5899 - Update Katello kickstarts (stbenjam@redhat.com)
- Merge pull request #4235 from waldenraines/5552 (walden@redhat.com)
- Merge pull request #4232 from waldenraines/5162 (walden@redhat.com)
- Fixes #5719 - make pulp async actions cancellable (inecas@redhat.com)
- Merge pull request #4234 from bbuckingham/issue-6124 (bbuckingham@redhat.com)
- Merge pull request #4211 from jlsherrill/async_node_publish
  (jlsherrill@gmail.com)
- Fixes #6072 - Report issues on repo syncing and don't lock repository on
  failure (inecas@redhat.com)
- Fixes #4748 - update dependencies (inecas@redhat.com)
- Fixes #4748 - don't lock on manifest operations fail (inecas@redhat.com)
- Merge pull request #4191 from jlsherrill/original_packages
  (jlsherrill@gmail.com)
- Merge pull request #4223 from ehelms/fixes-6080 (ericdhelms@gmail.com)
- fixes #5974 / BZ1098165 - content host - fix issue with spinner on package
  deletion (bbuckingham@redhat.com)
- Fixes #5552/BZ1093751 - Prevent sorting on columns that aren't sortable.
  (walden@redhat.com)
- fixes #6124 / BZ1104807 - fix content host 'update all' action
  (bbuckingham@redhat.com)
- Merge pull request #4230 from waldenraines/6122 (walden@redhat.com)
- Merge pull request #4221 from thomasmckay/6059-prod-content
  (thomasmckay@redhat.com)
- Merge pull request #4222 from bbuckingham/issue-5742 (bbuckingham@redhat.com)
- Fixes #6122 - correct typo in new sync plan URL. (walden@redhat.com)
- Fixes #5162/BZ1096407 - fix setting of sync time for new sync plans.
  (walden@redhat.com)
- fixes #6120 / BZ1102963 - address error during content host bulk actions
  (bbuckingham@redhat.com)
- Merge pull request #4208 from ehelms/fixes-6047 (ericdhelms@gmail.com)
- Merge pull request #4225 from ehelms/fixes-6102 (ericdhelms@gmail.com)
- fixes #6059 - add 'product content' tab to content hosts UI
  (thomasmckay@redhat.com)
- Merge pull request #4224 from parthaa/repo-feed (parthaa@gmail.com)
- Fixes #6080, #6081, #6082: Fixing registration including adding back default
  organization. (ericdhelms@gmail.com)
- Fixes #6102: Allow numbers in package names, BZ1047811.
  (ericdhelms@gmail.com)
- Merge pull request #4196 from komidore64/rmi5803-content-host-list-filter-by-
  name (komidore64@gmail.com)
- Merge pull request #4187 from komidore64/rmi5892-custom-info-notification-on-
  update (komidore64@gmail.com)
- Fixes #6084, bz 1079161 - Updated sync state link (paji@redhat.com)
- Merge pull request #4169 from daviddavis/content-uploads
  (daviddavis@redhat.com)
- fixes #5803 - filter content-hosts by name, BZ 1097575 (komidore64@gmail.com)
- fixes #5449 - adding CV filter option to include packages with no errata
  (jsherril@redhat.com)
- Merge pull request #4220 from jlsherrill/tstrachota-search
  (jlsherrill@gmail.com)
- Merge pull request #4214 from bbuckingham/issue-5967 (bbuckingham@redhat.com)
- fixes #5742/BZ1098152 - fix consumer action to display failure message
  (bbuckingham@redhat.com)
- Refs #5813 - Content uploads BZ1102260 (daviddavis@redhat.com)
- fixes #6051 - do not wait for node metadata publish (jsherril@redhat.com)
- Merge pull request #4216 from cfouant/content-view-filter-by-name
  (walden@redhat.com)
- Merge pull request #4198 from parthaa/product-gpg (parthaa@gmail.com)
- Merge pull request #4212 from parthaa/cv-filter-rule (parthaa@gmail.com)
- Merge pull request #4210 from cfouant/titles (walden@redhat.com)
- Merge pull request #4205 from waldenraines/6040 (walden@redhat.com)
- Merge pull request #4185 from ehelms/fixes-5765 (ericdhelms@gmail.com)
- Merge pull request #4182 from ehelms/fixes-5027 (ericdhelms@gmail.com)
- Refs #4701 - updating VCR cassettes (jsherril@redhat.com)
- Fixes #4701, #5874 - removed lowercase filter from kt_name_analyzer
  (tstrachota@redhat.com)
- Merge pull request #4217 from bbuckingham/issue-5743 (bbuckingham@redhat.com)
- fixes #6064 - fixes content view filter not honoring the name parameter, BZ
  1102451 (cfouant@redhat.com)
- fixes #5743/BZ1097124 - content host - host collections bulk action "loading"
  fix (bbuckingham@redhat.com)
- Fixes #5027: Ensure errata filter notification on add/remove, BZ1079245.
  (ericdhelms@gmail.com)
- Merge pull request #4147 from parthaa/sys-registration (parthaa@gmail.com)
- Merge pull request #4181 from mstead/Fixes-5968-release-versions
  (ericdhelms@gmail.com)
- Fixes #5765: Ensure repositories appear on content view details when
  searching, BZ1086187. (ericdhelms@gmail.com)
- Merge pull request #4179 from ehelms/fixes-5986 (ericdhelms@gmail.com)
- Fixes #5911 - perms for system registration calls (paji@redhat.com)
- fixes #5967 - initial updates to support default capsule
  (bbuckingham@redhat.com)
- Fixes #6050 - Better error message on filter rules create (paji@redhat.com)
- Merge pull request #4215 from jmontleon/add-qpid-cpp-store
  (ericdhelms@gmail.com)
- Merge pull request #4203 from waldenraines/5163 (walden@redhat.com)
- Fixes #5992 and #5993 - qpid-cpp-server-store needs to be added to the repo
  (jmontleo@redhat.com)
- Merge pull request #4133 from thomasmckay/5860-actkey-validate
  (thomasmckay@redhat.com)
- Fixes #6049 - fixes issue with incorrect page titles, BZ 1099469
  (cfouant@redhat.com)
- Merge pull request #4204 from jlsherrill/events (jlsherrill@gmail.com)
- Merge pull request #4209 from bkearney/bkearney/6048
  (bryan.kearney@gmail.com)
- Fixes 6048: The spec file was not building due to the new katello-debug
  changes (bkearney@redhat.com)
- Merge pull request #4200 from mstead/Fixes-6021 (ericdhelms@gmail.com)
- Fixes #6047: Prevent search grid from folding under row headers, BZ1083319.
  (ericdhelms@gmail.com)
- Fixes #6027 - Made product gpg update more secure (paji@redhat.com)
- Merge pull request #4202 from daviddavis/temp/20140603101658
  (daviddavis@redhat.com)
- Merge pull request #4201 from ehelms/fixes-5769 (ericdhelms@gmail.com)
- Merge pull request #4199 from parthaa/repo-gpg-fix (parthaa@gmail.com)
- refs #5892 - adding notifcation for custom_info update, BZ 970079
  (komidore64@gmail.com)
- Merge pull request #4194 from jmontleon/update-deps-for-qpid
  (mmccune@gmail.com)
- Fixes #6021 - Remove route mapping to UsersController (mstead@redhat.com)
- Fixes 6041: Convert katello-debug to be an extension of foreman-debug
  (bkearney@redhat.com)
- Fixes #6040, adding katello permissions to foreman "viewer" role.
  (walden@redhat.com)
- fixes #6038 - removing content host event page (jsherril@redhat.com)
- Fixes #5163/BZ848564 - ensure limited host groups have >= 1 hosts.
  (walden@redhat.com)
- Merge pull request #4186 from cfouant/subscription-color
  (komidore64@gmail.com)
- Merge pull request #4188 from bbuckingham/issue-5184 (bbuckingham@redhat.com)
- Fixes #5989 - Fixing puppet repo sync check BZ1102826 (daviddavis@redhat.com)
- Merge pull request #4190 from jlsherrill/index (jlsherrill@gmail.com)
- Fixes #5769: Adding autocomplete to package filters, BZ1079181.
  (ericdhelms@gmail.com)
- Fixes 5992 and 5993 - qpid dependencies (jmontleo@redhat.com)
- Fixes #5968: Intercept candlepin request to get available releases
  (mstead@redhat.com)
- Merge pull request #4192 from iNecas/capsule-puppet (inecas@redhat.com)
- Merge pull request #4184 from iNecas/5908 (inecas@redhat.com)
- Fixes #5860 - correctly error on validation failure (thomasmckay@redhat.com)
- Fixes #6023 - Fixed code to associate gpg key to a product (paji@redhat.com)
- Fixes #6026 - Fixed repo list api call for no env case. (paji@redhat.com)
- Merge pull request #4193 from ehelms/fixes-5759 (ericdhelms@gmail.com)
- Merge pull request #4195 from cfouant/typoContentHost (walden@redhat.com)
- Fixes #6005 - speeding up content reindexing (jsherril@redhat.com)
- fixes #6018 - fixes typo in Existing Items, BZ 1103283 (cfouant@redhat.com)
- Merge pull request #4175 from dustint-rh/host_collections_create_take_uuid
  (thomasmckay@redhat.com)
- Fixes #5802 - HC update/create using system uuids (dtsang@redhat.com)
- Merge pull request #4127 from ehelms/refs-5681 (ericdhelms@gmail.com)
- Fixes #5759: Make search and filtering on Content View Filters work as
  intended. (ericdhelms@gmail.com)
- Fixes #6008 - Puppet environments synchronization capsule synchronization
  (inecas@redhat.com)
- refs #5184 - fix couple of issues when deleting foreman hosts
  (bbuckingham@redhat.com)
- fixes #6002 - updates subscription status color on webUI, BZ1019389
  (cfouant@redhat.com)
- Merge pull request #4132 from waldenraines/5843 (walden@redhat.com)
- Merge pull request #4177 from komidore64/rmi5983-id-param-for-org-delete
  (komidore64@gmail.com)
- Merge pull request #4180 from daviddavis/temp/20140529124847
  (daviddavis@redhat.com)
- Fixes #5908 - make sure the dynflow on_init are set before the world being
  initialized (inecas@redhat.com)
- Merge pull request #4165 from iNecas/issue/5950 (inecas@redhat.com)
- fixes #5983 - added missing --id param to `hammer org delete`, BZ1096241
  (komidore64@gmail.com)
- Merge pull request #3998 from jlsherrill/pkg_delete (jlsherrill@gmail.com)
- Fixes #5989 - Fixing puppet repo sync BZ1102826 (daviddavis@redhat.com)
- Fixes #5986: Ensure tipsy error details populated on sync status page,
  BZ965230. (ericdhelms@gmail.com)
- Merge pull request #4161 from jlsherrill/states (jlsherrill@gmail.com)
- Merge pull request #4176 from ehelms/fixes-5982 (ericdhelms@gmail.com)
- fixes #5402 - adding feature to remove packages from library repos
  (jsherril@redhat.com)
- Merge pull request #4159 from cfouant/cfouant-branch-0527
  (jlsherrill@gmail.com)
- Fixes #5982: Ellipsis content search package descriptions to prevent
  overflow, BZ1012606. (ericdhelms@gmail.com)
- Merge pull request #4174 from parthaa/host-reload-hack (parthaa@gmail.com)
- Fixes #5978 - Included content host in Host::Managed (paji@redhat.com)
- Merge pull request #4160 from waldenraines/5947 (walden@redhat.com)
- Merge pull request #4172 from parthaa/slash-fix (parthaa@gmail.com)
- Merge pull request #4170 from waldenraines/5956 (walden@redhat.com)
- Fixes #5975 - Fix for a Content Host  UI reload issue (paji@redhat.com)
- Merge pull request #4171 from ehelms/fixes-5231 (ericdhelms@gmail.com)
- Merge pull request #4158 from ehelms/fixes-5938 (ericdhelms@gmail.com)
- Fixes #5938: Some Candlepin routes need User authorization due to
  subscription manager GUI. (ericdhelms@gmail.com)
- Fixes #5231: Host collection action links will properly select hosts,
  BZ1096183. (ericdhelms@gmail.com)
- Fixes #5956/BZ1083314 - add puppet module count to content view versions.
  (walden@redhat.com)
- Merge pull request #4151 from ehelms/fixes-5627 (ericdhelms@gmail.com)
- Merge pull request #4162 from bbuckingham/issue-5954 (bbuckingham@redhat.com)
- Merge pull request #4168 from jlsherrill/angular-templates
  (jlsherrill@gmail.com)
- fixes #5972 - reverting to specific angular-rails-templates version
  (jsherril@redhat.com)
- Merge pull request #4166 from iNecas/issue/5961 (inecas@redhat.com)
- Fixes #5947/BZ1028098 - allow selecting empty GPG key and sync plan.
  (walden@redhat.com)
- fixes #5951 - adds environment hint to content host registration, BZ1085252
  (cfouant@redhat.com)
- Merge pull request #4146 from komidore64/rmi5892-custom-info-notifications
  (komidore64@gmail.com)
- fixes #5954 - content search - fix puppet module details
  (bbuckingham@redhat.com)
- Merge pull request #4163 from bbuckingham/issue-5962 (bbuckingham@redhat.com)
- Merge pull request #4155 from cfouant/cfouant-branch (ericdhelms@gmail.com)
- Fixes #5961 - access the Dynflow world after it had been initialized
  (inecas@redhat.com)
- Fixes #5863 - create consumer in plan phase (inecas@redhat.com)
- Refs #5950 - don't show details when the task output is empty
  (inecas@redhat.com)
- Fixes #5627: Wrapping tasks controller in new authorization.
  (ericdhelms@gmail.com)
- fixes #5962 - content search - fix link to manage environments
  (bbuckingham@redhat.com)
- fixes #5960 - also look at task states to determine completion
  (jsherril@redhat.com)
- fixes #5892 - displays notification on add and delete, BZ970079
  (komidore64@gmail.com)
- Merge pull request #4157 from waldenraines/5940 (walden@redhat.com)
- Fixes #5940/BZ1080361, show loading indicator for content view versions.
  (walden@redhat.com)
- Merge pull request #4153 from bbuckingham/issue-5800 (bbuckingham@redhat.com)
- Merge pull request #4156 from iNecas/1099221 (inecas@redhat.com)
- Merge pull request #4115 from bbuckingham/issue-5184 (bbuckingham@redhat.com)
- Fixes #5574 - consider 301 as correct response for the cdn path
  (inecas@redhat.com)
- Merge pull request #4154 from bbuckingham/issue-5801 (bbuckingham@redhat.com)
- Merge pull request #4128 from daviddavis/temp/20140521082727
  (daviddavis@redhat.com)
- Merge pull request #4150 from iNecas/5908 (inecas@redhat.com)
- Fixes #5843, removing api v1 routes. (walden@redhat.com)
- fixes #5919 - Fixes issue with katello plugin description, BZ1079191 (cfouant
  @centos-devel.local)
- fixes #5801 - host collection ui - update errors should be shown on UI
  (bbuckingham@redhat.com)
- Merge pull request #4152 from parthaa/sql-fix (parthaa@gmail.com)
- fixes #5800 - host collections ui - errors on add/remove should be displayed
  (bbuckingham@redhat.com)
- Fixes #5917 - Content search ambiguous SQL id error (paji@redhat.com)
- Merge pull request #4140 from ehelms/fixes-5884 (ericdhelms@gmail.com)
- Merge pull request #4142 from ehelms/fixes-5526 (ericdhelms@gmail.com)
- refs #5184 - rename 'remove' to 'unregister' for content host ui
  (bbuckingham@redhat.com)
- fixes #5184 - extend foreman host to provide association to katello content
  host (bbuckingham@redhat.com)
- Fixes #5908 - transfer the locale information to the dynflow run/finalize
  phase (inecas@redhat.com)
- Fixes #5884: Fix typo for list_owners authenication to be properly handled.
  (ericdhelms@gmail.com)
- Merge pull request #4148 from waldenraines/5913 (walden@redhat.com)
- Fixes #5913, BZ1093601 let org-switcher clear URLs pass through bastion.
  (walden@redhat.com)
- Merge pull request #4139 from cfouant/cfouant-branch (ericdhelms@gmail.com)
- Merge pull request #4141 from ehelms/fixes-5886 (ericdhelms@gmail.com)
- Merge pull request #4131 from thomasmckay/5857-snippet
  (thomasmckay@redhat.com)
- Fixes #5526: Ensure content APIs are properly permission wrapped.
  (ericdhelms@gmail.com)
- Fixes #5886: Return organizations for the admin user. (ericdhelms@gmail.com)
- updated all references from system to content host (cfouant@centos-
  devel.local)
- Fixes #5768 Changed term system to content-host (cfouant@centos-devel.local)
- Fixes #5852 - Updating gem dependencies (daviddavis@redhat.com)
- fixes #5857 - enclose sub-mgr args in quotes (thomasmckay@redhat.com)
- Refs #5681: Candlepin reset only needs to drop, create and migrate the
  database. (ericdhelms@gmail.com)

* Tue Jan 21 2014 Mike McCune <mmccune@redhat.com> 1.5.0-10
- rebuild with latest in master
* Mon Dec 16 2013 Jason Montleon <jmontleo@redhat.com> 1.5.0-9
- Tag rubygem-katello-1.5.0-9

* Mon Dec 16 2013 Jason Montleon <jmontleo@redhat.com> 1.5.0-9
- fixes for engine packaging (jmontleo@redhat.com)
- Merge remote-tracking branch 'upstream/master' into engine-packaging
  (jmontleo@redhat.com)
- Merge pull request #3513 from daviddavis/temp/20131216104958
  (daviddavis@redhat.com)
- Merge pull request #3510 from mkelley33/readme-grunt-bower-task
  (michauxkelley@gmail.com)
- Reorganize dependency errors section of README (michauxkelley@gmail.com)
- Creating a katello.local.rb for development (daviddavis@redhat.com)
- Engine: Renaming localized gemfile to something less generic
  (daviddavis@redhat.com)
- Merge pull request #3483 from komidore64/system-api-v2 (komidore64@gmail.com)
- Merge pull request #3507 from ehelms/update-readme (ericdhelms@gmail.com)
- Engine: Fixing katello_dev gem echo statement (daviddavis@redhat.com)
- API v2 - v2 systems_controller w/ create, index, and show
  (komidore64@gmail.com)
- Merge pull request #3506 from jmontleon/version-fix (ericdhelms@gmail.com)
- Fixing inconsistency in setup workflow. (ericdhelms@gmail.com)
- Merge pull request #3469 from ehelms/allow-development-gems
  (ericdhelms@gmail.com)
- Changes to support Katello engine RPM builds (jmontleo@redhat.com)
- Merge pull request #3497 from mkelley33/fix-product-namespacing
  (michauxkelley@gmail.com)
- change version to 1.5.0 for next release (jmontleo@redhat.com)
- Allows development gems to be declared that can be ignored in production mode
  by bundler. (ericdhelms@gmail.com)
- add locale directory to gem.files (jmontleo@redhat.com)
- Fix namespacing in Katello::Authorization::Product (michauxkelley@gmail.com)

* Fri Dec 13 2013 Jason Montleon <jmontleo@redhat.com> 1.4.0-8
- fix gempsec (jmontleo@redhat.com)
- Changes to support Katello engine RPM builds (jmontleo@redhat.com)
- Merge pull request #3459 from ehelms/remove-travis (ericdhelms@gmail.com)
- Merge pull request #3484 from domcleal/no-puppet (ericdhelms@gmail.com)
- Merge pull request #3501 from daviddavis/temp/20131212153148
  (daviddavis@redhat.com)
- Bastion: enabling jshint whitespace detection. (daviddavis@redhat.com)
- Removing Travis configs and scripts as we rely on the Foreman CI
  infrastructure. (ericdhelms@gmail.com)
- Remove obsolete Puppet/Facter installation references (dcleal@redhat.com)

* Thu Dec 12 2013 Jason Montleon <jmontleo@redhat.com> 1.4.0-7
- add changelog (jmontleo@redhat.com)

